<?php

  define('DOCTYPE_STRICT',1);
  define('DOCTYPE_TRANSITIONAL',2);
  define('DOCTYPE_FRAMESET',4);


  define('BROWSER_DESKTOP',0x000000001);
  define('BROWSER_MOBILE',0x000000002);
  define('BROWSER_CRAWLER',0x000000004);
  define('BROWSER_SYNDICATEREADER',0x000000008);

  define('BROWSER_TABLES',0x000000100);
  define('BROWSER_FRAMES',0x000000200);
  define('BROWSER_IFRAMES',0x000000400);
  define('BROWSER_COOKIES',0x000000800);
  define('BROWSER_CSS', 0x000001000);
  define('BROWSER_CSS2',0x000002000);
  define('BROWSER_CSS3',0x000004000);  

  define('BROWSER_JAVASCRIPT',0x001000000);
  define('BROWSER_VBSCRIPT',0x002000000);
  define('BROWSER_JAVA',0x004000000);
  define('BROWSER_ACTIVEX',0x008000000);
  define('BROWSER_AJAX',0x010000000);

  define('AUTH_SESSION',1);
  define('AUTH_HTTP',2);

  define('TAG_SHORT',8);
  define('TAG_INLINE',16);
  define('TAG_BLOCK_IN_INLINE',32);  
  define('TAG_DT_STF',DOCTYPE_STRICT | DOCTYPE_TRANSITIONAL | DOCTYPE_FRAMESET);
  define('TAG_DT_TF',DOCTYPE_TRANSITIONAL | DOCTYPE_FRAMESET);
  
  define('TYPE_UNKNOWN',0);
  define('TYPE_STRING',1);
  define('TYPE_DECIMAL',2);
  define('TYPE_INTEGER',4);
  define('TYPE_BOOLEAN',8);
  define('TYPE_DATE',16);
  define('TYPE_DATETIME',32);
  define('TYPE_TIME',64);
  define('TYPE_MEMO',128);
  define('TYPE_BLOB',256);
  define('TYPE_SET',512);
  define('TYPE_ENUM',1024);

  define('TYPES_DATETIME',TYPE_DATE | TYPE_DATE | TYPE_TIME);
  define('TYPES_NUMERIC',TYPE_DECIMAL | TYPE_INTEGER);  

  define('FORM_METHOD_POST', 1);
  define('FORM_METHOD_GET', 2);
//  define('FORM_METHOD_BOTH', FORM_METHOD_POST | FORM_METHOD_GET);
  define('ATTRIBUTE_NONE',0);
  define('ATTRIBUTE_ALL',0xFFFFFFFFFFFF);

  define('ATTRIBUTE_ID',2);
  define('ATTRIBUTE_WIDTH',4);
  define('ATTRIBUTE_HEIGHT',8);
  define('ATTRIBUTE_SIZE',ATTRIBUTE_HEIGHT | ATTRIBUTE_WIDTH);
  define('ATTRIBUTE_CLASS',16);
  define('ATTRIBUTE_TITLE',32);
  define('ATTRIBUTE_STYLE',64);
  define('ATTRIBUTE_VISIBLE',128);
  define('ATTRIBUTE_ERROR',256);
  define('ATTRIBUTE_DISABLED',512);
  define('ATTRIBUTE_READONLY',1024);
    
  define('DB_NONE',0);
  define('DB_SAVE',1);
  define('DB_LOAD',2);
  define('DB_BOTH',DB_LOAD | DB_SAVE);

  define('INPUT_ERROR_INLINE',1);
  define('INPUT_ERROR_LIST',2);
  define('INPUT_ERROR_BOTH',INPUT_ERROR_LIST | INPUT_ERROR_INLINE);

  define('RENDER_FLAG_ROW_BROKEN',1);
  define('RENDER_HEADER_RENDERED',2);
  define('RENDER_BODY_RENDERED',4);
  define('RENDER_FOOTER_RENDERED',8);
  
  define('RENDER_COMPONENT_NOT_EMPTY',16);  

  define('ACTION_BEFORE_INIT',1);
  define('ACTION_BEFORE_INPUT',2);
  define('ACTION_AFTER_INPUT',4);
  
  define('SELECTBOX_STANDARD',0);
  define('SELECTBOX_COMBOBOX',1);
  define('SELECTBOX_RADIOGROUP_VERTICAL',2);
  define('SELECTBOX_RADIOGROUP_HORIZONTAL',4);
  define('SELECTBOX_RADIOGROUP',SELECTBOX_RADIOGROUP_HORIZONTAL | SELECTBOX_RADIOGROUP_VERTICAL);
  define('SELECTBOX_LINKER',8);
  define('SELECTBOX_LINKER_MOBILE',16);
  
  define('MODE_BROWSE',0);
  define('MODE_EDIT',1);
  define('MODE_INSERT',2);
  define('MODE_BOTH',MODE_EDIT | MODE_INSERT);
  
  define('MSG_SUCCESS',1);
  define('MSG_ERROR',2);
  define('MSG_HIGHLIGHT',4);
  
  define('DATETIME_FUTURE', 1);
  define('DATETIME_PAST', 2);
  define('DATETIME_BOTH', DATETIME_FUTURE | DATETIME_PAST);

  define('PAGER_NAV_NONE',0);
  define('PAGER_NAV_PAGE_NUMBERS',1);
  define('PAGER_NAV_ITEM_NUMBERS',128);
  define('PAGER_NAV_TOP',2);
  define('PAGER_NAV_BOTTOM',4);
  define('PAGER_NAV_LEFT',8);
  define('PAGER_NAV_RIGHT',16);
  define('PAGER_NAV_NEXT_PREV',32);
  define('PAGER_NAV_FIRST_LAST',64);

  define('SECURITY_CHECK_IP',1);
  define('SECURITY_CHECK_USERAGENT',2);
  define('SECURITY_CHECK_ALL',SECURITY_CHECK_IP | SECURITY_CHECK_USERAGENT);

  define('OUTPUT_FULL',1);
  define('OUTPUT_MOBILE',2);
  define('OUTPUT_JSON',4);
  define('OUTPUT_XML',8);

  define('HASH_NONE',0);
  define('HASH_SHA1',1);

  define('COL_NONE',0);
  define('COL_SORTABLE',1);
  define('COL_MENU',2);
  define('COL_FILTERABLE',4);  
  
  define('COL_DEFAULT',COL_FILTERABLE | COL_SORTABLE);
  
  define('SORT_NONE',0);
  define('SORT_ASCENDING',1);
  define('SORT_DESCENDING',2);
  
  define('LISTER_SORTABLE',1);
  define('LISTER_FILTERABLE',2);  
  
  define('LISTER_DEFAULT',LISTER_SORTABLE | LISTER_FILTERABLE);
  
  define('TEXT_INLINE',1);
  define('TEXT_BLOCK',2);
  define('TEXT_PARAGRAPH',3);
  define('TEXT_PREFORMATED',4);      

  define('TEXT_HEADER_1',5);
  define('TEXT_HEADER_2',6);
  define('TEXT_HEADER_3',7);
  define('TEXT_HEADER_4',8);
  define('TEXT_HEADER_5',9);  
  define('TEXT_HEADER_6',10);        
?>