<?php
  require_once('run.php');
  $page->title = 'Installation successful';
  $welcome = new TStaticText($page);
  $welcome->caption = 'ROAD framework successfuly installed';
  $welcome->kind = TEXT_HEADER_1;
  
  $welcome = new TStaticText($page);
  $welcome->caption = 'Database status:';
  $welcome->kind = TEXT_HEADER_2;

  $db_status = new TStaticText($page);
  if(isset($db) && is_subclass_of($db,'TCustomConnection')) {
    if($db->isConnected()) {
      $db_status->caption = 'successfuly connected';
      $db_status->cssStyle = 'color: green';      
    } else {
      $db_status->caption = 'not connected';
      $db_status->cssStyle = 'color: red';    
    }
  } else {
    $db_status->cssStyle = 'color: red';  
    $db_status->caption = 'not configured';
      
  }
  $db_status->kind = TEXT_PARAGRAPH;
      
  $browserInfo = new THtmlData($page);
  $browserInfo->data = '<h2>Your browser:</h2>'.$road->browser->info(true);
  $road->run();
?>
