<?php
  if(CFG_WINDOWS) {
    define('CFG_LOCALE','');
    define('CFG_LOCALE_ENCODING','windows-1250');    
  } else {
    define('CFG_LOCALE','cs_CZ.utf8');
  }
  define('CFG_ENCODING','utf-8');
  define('CFG_TIMEZONE','Europe/Prague');  
  define('LNG_WELCOME','vítejte');
  
  define('LNG_DATE_FORMAT','%d.%m.%Y');
  define('LNG_SHORT_DATE_FORMAT','%d.%m.');

  define('LNG_TIME_FORMAT','%H:%M');
  define('LNG_LONG_TIME_FORMAT','%H:%M:%S');
    
  define('LNG_SHORT_DATE_TIME_FORMAT',LNG_SHORT_DATE_FORMAT.' '.LNG_TIME_FORMAT);
  define('LNG_DATE_TIME_FORMAT',LNG_DATE_FORMAT.' '.LNG_TIME_FORMAT);
  define('LNG_LONG_DATE_TIME_FORMAT',LNG_DATE_FORMAT.' '.LNG_LONG_TIME_FORMAT);
  
  define('LNG_DECIMAL_POINT',',');
  define('LNG_THOUSANDS_SEPARATOR','.');
  define('LNG_INPUT_THOUSANDS_SEPARATOR',' ');

  define('LNG_YES','ano');
  define('LNG_NO','ne');
  define('LNG_LINKER_NOTHING_SELECTED','začněte psát název položky:');

  define('LNG_SEARCHBOX_SELECT_ALL','vše');
  define('LNG_SEARCHBOX_SELECT_ALL_TITLE','vybrat všechny právě zobrazené položky');
  define('LNG_SEARCHBOX_SELECT_NONE','nic');    
  define('LNG_SEARCHBOX_SELECT_NONE_TITLE','zrušit výběr všech právě zobrazených položek');
  define('LNG_SEARCHBOX_SELECT_INVERSE','doplňek');
  define('LNG_SEARCHBOX_SELECT_INVERSE_TITLE','převrátit výběr zobrazených položek');
  define('LNG_SEARCHBOX_FILTER','vyhledat položku');
  define('LNG_SEARCHBOX_UNFILTER','zrušit filtr');
  
  define('LNG_DATEPICKER_CLOSE','Zavřít');
  define('LNG_DATEPICKER_EARLIER','&#x3c;Dříve');
  define('LNG_DATEPICKER_LATER','Později&#x3e;');
  define('LNG_DATEPICKER_NOW','Nyní');
  define('LNG_DATEPICKER_TYDEN','Týd');
  define('LNG_WEEK_START',1);

  define('LNG_PAGER_NEXT','další stránka');  
  define('LNG_PAGER_PREV','předchozí stránka');
  define('LNG_PAGER_FIRST','první stránka');
  define('LNG_PAGER_LAST','poslední stránka');
  define('LNG_PAGER_DISPLAY_PAGE','stránka %s');
  define('LNG_PAGER_DISPLAY_ITEMS','položky %s');    
      
  define('LNG_CHANGES_SAVED','změny byly uloženy');
  define('LNG_RECORD_DELETED','záznam byl odstraněn');
  
  define('LNG_BROWSER_DETECTION','Detekce prohlížeče');
  define('LNG_BROWSER_DETECTION_IN_PROGRESS','Probíhá detekce vašeho prohlížeče...');
  define('LNG_BROWSER_DETECTION_IN_PROGRESS_TOO_LONG','Pokud detekce trvá více jak pár vteřin, Váš prohlížeč má nejspíš vypnutou podporu JavaScriptu a také automatického přesměrování, k pokračování prosím klikněte na následující odkaz:');
  define('LNG_DENIED','Pro provedení této akce nemáte dostatečná oprávnění.');
    
  // please do not use language specific characters in this message, because it is displayed when encoding may not be initialized properly
  define('LNG_MANUAL_REDIRECTION','Nepovedlo se automaticke presmerovani na jinou stranku, je mozne ze Vas prohlizec tuto funkci nepodporuje nebo je jeji podpora vypnuta. Pro pokracovani prosim kliknete na nasledujici odkaz:');

  define('LNG_SORT_ASC_BY','setřídit vzestupně podle %s');
  define('LNG_SORT_DESC_BY','setřídit sestupně podle %s');  
  define('LNG_SORT_BY','setřídit podle');
  define('LNG_ASCENDING','vzestupně');
  define('LNG_DESCENDING','sestupně');
  define('LNG_FIND_TEXT','hledat text');
  define('LNG_FILTER','filtrovat');
  define('LNG_SELECT_RANGE','vybrat rozmení');
  define('LNG_FROM','od');
  define('LNG_TO','do');
  define('LNG_DISPLAYING_ITEMS','zobrazeno <strong>%s</strong> záznamů z celkem <strong>%s</strong>');
  define('LNG_NO_ITEMS_TO_DISPLAY','nebyly nalezeny žádné odpovídající záznamy');
  define('LNG_CURRENCY',' Kč');

  define('LNG_BOLD_FIELDS_ARE_REQUIRED','Tučná pole jsou povinná');  
        
  $LNG_EXCEPTIONS = array(
    E_ACTION_VARIABLE_NOT_FOUND => 'Action variable "%s" not suplied',
    E_METHOD_NOT_FOUND => 'Method "%s" not found',
    E_COMPONENT_NOT_FOUND => 'Component "%s" not found',
    E_ACTION_SYNTAX_ERROR => 'Action syntax error in %s',
    E_ENCODING_NOT_SUPPORTED => 'Implicitní kódování "%s" není podporováno',
    E_CONVERTOR_INVALID_DATETIME => '"%s" není platné datum / čas',
    E_CONVERTOR_INVALID_NUMBER => '"%s" není platné číslo',
    E_CONVERTOR_INVALID_DATETIME => '"%s" není platné datum / čas',
    E_CONVERTOR_INVALID_NUMBER => '"%s" není platné číslo',
    E_CONVERTOR_INVALID_INTEGER => '"%s" není platná celočíselná hodnota',
    E_CONVERTOR_TOO_HIGH => 'Hodnota "%s" je příliš vysoká (max. %s)',
    E_CONVERTOR_TOO_LOW => 'Hodnota "%s" je příliš nízká (min. %s)',
    E_CONVERTOR_TOO_LONG => 'Hodnota "%s" je příliš dlouhá (max. %s znaků)',
    E_CONVERTOR_TOO_SHORT => 'Hodnota "%s" je příliš krátká (min. %s znaků)',
    E_UNDEFINED_PROPERTY => 'Pokus o přístup k nedefinované vlastnosti "%s"',
    E_RENDERER_NOT_FOUND => 'Pro komponentu %s nebyl nalezen vhodný renderer',
    E_CANNOT_REDIRECT => 'Nelze automaticky přesměrovat na adresu "%s", hlavičky již byly odeslány',
    E_FORMAT_CLASS_DOES_NOT_EXIST => 'Třída obsluhující formát "%s" neexistuje. (%s)',
    E_DEFAULT_DATABASE_NOT_DEFINED => 'Pro tuto akci je potřeba platný databázový ovladač',
    E_UNDEFINED_EVENT => 'Událost "%s" není definovaná',
    E_EVENT_FUNCTION_NOT_FOUND => 'Funkce "%s" přiřazená události "%s" neexistuje',
    E_INLINE_ELEMENT_CANNOT_CONTAIN_BLOCK_ELEMENTS => 'Inline element &lt;%s&gt; nesmí obsahovat blokový element &lt;%s&gt;',
    E_DOCTYPE_DOES_NOT_ALLOW_THIS_ELEMENT => 'Pro tento typ dokumentu není element &lt;%s&gt; povolen',
    E_USE_OF_UNKNOWN_ELEMENT => '&lt;%s&gt; není platný XHTML element',
    E_ELEMENT_SHOULD_BE_SHORT => 'Element &lt;%s&gt; by měl být použit v krátké notaci: &lt;%1$s /&gt;',
    E_NO_AUTH_EVENT_ASSIGNED => 'Pro HTTP autentizaci musíte definovat přihlašovací funkci',
    E_TRANSACTIONS_NOT_SUPPORTED => 'Transakce nejsou podporovány',
    E_NOT_CONNECTED_TO_DATABASE_SERVER => 'Nejste připojeni k databázovému serveru',
    E_COULD_NOT_EXECUTE_QUERY => 'Nelze provést dotaz do databáze (chyba %s): %s',
    E_COULD_NOT_CONNECT_TO_DATABASE_SERVER => 'Nelze se připojit k databázovému serveru (chyba %s): %s',
    E_TRANSACTION_ERROR => 'Chyba při zpracování transakce (chyba %s): %s',
    E_COULD_NOT_SELECT_DATABASE => 'Nelze vybrat databázi (chyba %s): %s',
    E_SERVER_IS_NOT_MULTIDATABASE => 'Server má pouze jednu databázi',
    E_METHOD_MUST_BE_OVERRIDEN => 'Metoda %s musí být přepsána dědící třídou',
    E_INCOMPATIBLE_VALUE_FOR_FIELD => '%s není platná hodnota pro pole %s',
    E_CONNECTION_COULD_NOT_BE_CLOSED => 'Spojení nelze uzavřít (chyba %s): %s',
    E_UNKNOWN_DATA_TYPE_FOR_FIELD => 'Neznámý datový typ pro pole %s',
    E_CANNOT_INSERT_BLANK_ROW => 'Nelze vložit prázdný řádek',
    E_FIELD_CANNOT_BE_NULL => 'Pole "%s" by nemělo být prázdné',
    E_CANNOT_UPDATE_JOINED_TABLE_FIELD => 'Nelze uložit hodnotu pole "%s", protože patří do připojené tabulky "%s"',
    E_CALL_FETCH_FIELDS_OR_INSERT_FIRST => 'Nejdříve použijte metodu fetchFields() nebo insert()',
    E_NO_ACTIVE_DATASET => 'Ke komponentě %s nejsou připojena žádná data',
    E_FIELD_NOT_FOUND => 'Pole %s nexistuje',
    E_VALUE_REQUIRED => 'Pole je povinné',
    E_SELECT_BOX_GROUP_NOT_DEFINED => 'Skupina "%s" není pro selectBox %s definována',
    E_COULD_NOT_SET_DB_ENCODING => 'Nelze nastavit kódování databázového připojení (chyba %s): %s',
    E_INVALID_DB_ENCODING => 'Kódování %s není podporováno',
    E_CHANGES_COULD_NOT_BE_SAVED => 'Kvůli chybě se změny nepodařilo uložit',
    E_CLOSING_TAG_OMMITED => 'Chybný uzavírací tag (&lt;/%s&gt; namísto &lt;/%s&gt;)',
    E_RECORD_KEY_VALUE_MISSING => 'Záznam nebyl úplně specifikován',    
    E_RECORD_NOT_FOUND => 'Záznam nebyl nalezen',
    E_SQL_BAD_SYNTAX_OR_TOO_COMPLEX => "SQL dotaz je špatně formulovaný, nebo příliš komplikovaný: \n<br/><br/><code>%s</code>",
    E_INSERT_MODE_NOT_ALLOWED => 'Režim vkládání není povolen',
    E_EDIT_MODE_NOT_ALLOWED => 'Režim úprav není povolen',
    E_REQUIRED_SETTINGS_MISSING => 'Musíte nastavit všechny parametry: %s',
    E_RECORD_COULD_NOT_BE_IDENTIFICATED => 'Záznam nelze nijak identifikovat',
    E_TOO_FEW_ITEMS => 'Musíte vybrat alespoň %s položku',
    E_TOO_MANY_ITEMS => 'Můžete vybrat maximálně %s položek',
    E_INVALID_LOCALE_IDENTIFIER => 'Neplatný identifikátor lokálního nastavení: %s',
    E_RECORD_CANNOT_BE_DELETED => 'Záznam nelze odstranit: %s',
    E_BROWSE_CAP_DETECTION_FAILED => 'Nepovedlo se detekovat prohlížeč',
    E_DUPLICATE_VALUE => 'Hodnota je již použita',
    E_NO_OUTPUT_HANDLER => 'Nebyl nalezen ovladač pro tento typ zobrazení: %s',
    E_CANNOT_ADD_AS_CHILD => 'Nelze přidat %s jako podkomponentu %s',
    E_LIBRARY_NOT_DEFINED => 'Knihovna %s není definována v konfiguračním souboru'
  );
?>